package com.example.service;

import java.sql.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.example.domain.SalesLog;
import com.example.repository.SalesLogRepository;

@Service
public class SalesLogService {
	@Autowired
	SalesLogRepository salesLogRepository;
	
	public List<SalesLog> findAll(){
		return salesLogRepository.findAll();
	}
	
	public SalesLog findOne(Integer id){
		return salesLogRepository.findOne(id);
	}
	
	public SalesLog create(SalesLog salesLog){
		return salesLogRepository.save(salesLog);
	}
	
	public SalesLog update(SalesLog salesLog){
		return salesLogRepository.save(salesLog);
	}
	
	public List<SalesLog> history(Integer id) {
		return salesLogRepository.history(id);
	}
	
	public List <SalesLog> historyDetails(Date created, Integer id) {
		return salesLogRepository.historyDetails(created, id);
	}
}
